machine:
   java:
       version: oraclejdk8
dependencies:
    override:
        - git config --global user.email "circuitsoft@tuta.io"
        - git config --global user.name "mastercoms"
        - git clone --recursive https://github.com/GlowstoneMC/Glowkit.git
        - (cd Glowkit && chmod +x applyPatches.sh && ./applyPatches.sh)
        - (cd Glowkit/Glowkit-Patched && mvn install)
test:
    override:
        - ./setup.sh
        - cp -r target/glowstone*.jar $CIRCLE_ARTIFACTS/
        - mkdir -p $CIRCLE_TEST_REPORTS/junit/
        - find . -type f -regex ".*/target/surefire-reports/.*xml" -exec cp {} $CIRCLE_TEST_REPORTS/junit/ \;
